Skip to content

GET /api/v3/agencies/{lcuid}/accounts

Summary

GET agencies/{id}/accounts

Description

Return a list of accounts for an agency

See Account Response Fields for more information on the account object

🔒 Required Permissions

At least one of the following permissions is required to access this endpoint:

  • agency.viewAccounts

Tags: agencies

Parameters

Header Parameters

Name Type Required Description Example
Authorization string ✓ Yes Bearer {AuthToken}
Content-Type string ✓ Yes application/json
Accept string ✓ Yes application/json
AppIdV3 string ✓ Yes LCUID-LAP-********-****-****-****-************

Responses

Response: 200

Description: Sample Response

Content Type: application/json

Schema

Type: object

Properties:

  • success (boolean)
  • accounts (array)
  • Array items: object Type: object

    Properties:

    • name (string)
    • options (object) Type: object

    Properties:

    • primary_image_public_url (string)
    • primary_image_background_removed_public_url (string)

    • lcuid (string)

    • slug (string)
    • website (string)
    • description (string)
    • created_at (string)
    • inventory_item_class (array)
    • Array items: string
    • account_class (string)
    • inventory_item_class_description (string)
    • account_class_description (string)
    • is_parent_account (boolean)
Example Response
{
    "success": true,
    "accounts": [
        {
            "name": "Unit Test Account - ULE2w",
            "options": {
                "primary_image_public_url": null,
                "primary_image_background_removed_public_url": null
            },
            "lcuid": "LCUID-LA-9ffb9795-5300-4c11-8038-c55d6b8984fc",
            "slug": "UnitTestAccountUle2w",
            "website": null,
            "description": "Here is a new unit test account description",
            "created_at": "2026-10-08T21:29:22.000000Z",
            "inventory_item_class": [
                "App\\LuCore\\InventoryItems\\GenericInventoryItemClass"
            ],
            "account_class": "App\\LuCore\\Accounts\\InventoryAccountClass",
            "inventory_item_class_description": "Generic",
            "account_class_description": "Inventory",
            "is_parent_account": false
        },
        {
            "name": "Unit Test Account - CJP7l",
            "options": {
                "primary_image_public_url": null,
                "primary_image_background_removed_public_url": null
            },
            "lcuid": "LCUID-LA-1cfeec03-3e18-4c38-a074-d1c104c40f7b",
            "slug": "UnitTestAccountCjp7l",
            "website": null,
            "description": "Here is a new unit test account description",
            "created_at": "2026-10-08T21:29:22.000000Z",
            "inventory_item_class": [
                "App\\LuCore\\InventoryItems\\GenericInventoryItemClass"
            ],
            "account_class": "App\\LuCore\\Accounts\\InventoryAccountClass",
            "inventory_item_class_description": "Generic",
            "account_class_description": "Inventory",
            "is_parent_account": false
        },
        {
            "name": "Unit Test Account - 2tHEO",
            "options": {
                "primary_image_public_url": null,
                "primary_image_background_removed_public_url": null
            },
            "lcuid": "LCUID-LA-b8444702-2c81-45f1-bb21-31515be1973a",
            "slug": "UnitTestAccount2theo",
            "website": null,
            "description": "Here is a new unit test account description",
            "created_at": "2026-10-08T21:29:22.000000Z",
            "inventory_item_class": [
                "App\\LuCore\\InventoryItems\\GenericInventoryItemClass"
            ],
            "account_class": "App\\LuCore\\Accounts\\InventoryAccountClass",
            "inventory_item_class_description": "Generic",
            "account_class_description": "Inventory",
            "is_parent_account": false
        }
    ]
}

Example Implementations

Bash (cURL)

curl --request GET \
    --get "https://api.lucit.app/api/v3/agencies/LCUID-LY-506fc585-77be-11ec-acb9-c2cdb617d190/accounts" \
    --header "Authorization: Bearer {AuthToken}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json" \
    --header "AppIdV3: LCUID-LAP-********-****-****-****-************"

JavaScript (Fetch API)

const url = new URL(
    "https://api.lucit.app/api/v3/agencies/LCUID-LY-506fc585-77be-11ec-acb9-c2cdb617d190/accounts"
);

const headers = {
    "Authorization": "Bearer {AuthToken}",
    "Content-Type": "application/json",
    "Accept": "application/json",
    "AppIdV3": "LCUID-LAP-********-****-****-****-************",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());

PHP (Guzzle)

$client = new \GuzzleHttp\Client();
$response = $client->get(
    'https://api.lucit.app/api/v3/agencies/LCUID-LY-506fc585-77be-11ec-acb9-c2cdb617d190/accounts',
    [
        'headers' => [
            'Authorization' => 'Bearer {AuthToken}',
            'Content-Type' => 'application/json',
            'Accept' => 'application/json',
            'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
        ],
    ]
);
$body = $response->getBody();
print_r(json_decode((string) $body));

Python (Requests)

import requests
import json

url = 'https://api.lucit.app/api/v3/agencies/LCUID-LY-506fc585-77be-11ec-acb9-c2cdb617d190/accounts'
headers = {
  'Authorization': 'Bearer {AuthToken}',
  'Content-Type': 'application/json',
  'Accept': 'application/json',
  'AppIdV3': 'LCUID-LAP-********-****-****-****-************'
}

response = requests.request('GET', url, headers=headers)
response.json()

← Back to agencies index | Back to main index